### Method

# AppStreamCompose Result remove_component_full

#### Declaration [src]

    gboolean
    asc_result_remove_component_full (
      AscResult* result,
      AsComponent* cpt,
      gboolean remove_gcid
    )

#### Description [src]

Remove a component from the results set.

#### Parameters

`cpt`

  Type: `AsComponent`

  The `AsComponent` to remove.

  The data is owned by the caller of the method.

`remove_gcid`

  Type: `gboolean`

  `TRUE` if global component ID should be unregistered as well.

#### Return value

Type: `gboolean`

`TRUE` if the component was found and removed.